#{form @kontrak.SskkCtr.simpanCaraPembayaran(sppbjId), id:'formCaraPembayaran'}
<input type=hidden name="kontrak.kontrak_id" value="${kontrak.kontrak_id}" />
<table class="table table-sm">
    <tr>
    	<th class="bgwarning" style="width:30%">&{'doc.rancanganKontrak'}</th>
    	<td>
            <ol class="files" style="padding:15px;">
                #{list items:sskk, as:'dok'}
                    <li style="padding-bottom:5px;">
                        #{download dok/}
                    </li>
                #{/list}
            </ol>
        </td>
    </tr>
    <tr>
        <th class="bg-warning">&{'kontrak.upload_ssk'}</th>
        <td>
            <ol id="files" class="files" style="padding:15px;">
                #{list items:dokKontrak, as:'dokKontrak'}
                    <li style="padding-bottom:5px;">
                        #{download dokKontrak/}
                        <a href="javascript:void(0)" title="Hapus" class="removeDok" versi="${dokKontrak.blb_versi}">
                            <i class="fa fa-trash-o"></i>
                        </a>
                    </li>
                #{/list}
            </ol>
            <div class="btn btn-success fileinput-button">
                <i class="fa fa-plus-circle"></i>
                <span>Upload</span>
                <input id="fileupload" type="file" name="file">
            </div>
            <div id="progress" class="progress" style="display: none;">
                <div class="progress-bar progress-bar-success"></div>
            </div>
            <div id="alert-upload" style="margin-top: 10px;"></div>
            <div class="bs-callout bs-callout-info">
                &{'kontrak.doc_upload+pdf'}<br />
            </div>
        </td>
    </tr>
    <tr>
    	<th class="bgwarning">Cara Pembayaran</th>
    	<td>
            <select name="sskkContent.cara_pembayaran" style="width:110px;" class="form-control">
                <option value="Termin" #{if sskkContent.cara_pembayaran=='Termin'} selected #{/if}>&{'kontrak.termin'}</option>
                <option value="Bulanan" #{if sskkContent.cara_pembayaran=='Bulanan'} selected #{/if}>&{'kontrak.bulan'}</option>
                <option value="Sekaligus" #{if sskkContent.cara_pembayaran=='Sekaligus'} selected #{/if}>&{'kontrak.sekaligus'}</option>
            </select>
        </td>
    </tr>
</table>
#{saveButton/}
#{/form}

<link href="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/css/jquery.fileupload.min.css" rel="stylesheet" type="text/css">

<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/vendor/jquery.ui.widget.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.iframe-transport.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload-process.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload-validate.min.js"></script>

<script type="text/javascript">
$(document).on('click', '#fileupload', function(){
    var url = '@{kontrak.SskkCtr.uploadSskkSubmit(sppbjId)}';
    $('#fileupload').fileupload({
        url: url,
        dataType: 'json',
        acceptFileTypes: /(\.|\/)(pdf)$/i,
        done: function (e, data) {
            $('#progress').hide();
            if (data.result.success) {
                $.each(data.result.files, function (index, file) {
                    var content = file.name + ' <a href="javascript:void(0)" class="removeDok" versi="' + file.versi + '"><i class="fa fa-trash-o" ></i></a>';
                    $('<li/>').html(content).appendTo('#files');
                });
                $('#alert-upload').hide();
            } else {
                $('#alert-upload').attr('class', 'alert alert-danger').html(data.result.message).show();
            }
        },
        progressall: function (e, data) {
            var progress = parseInt(data.loaded / data.total * 100, 10);
            $('#progress').show();
            $('#progress .progress-bar').css(
                    'width',
                    progress + '%'
            );
        }
    }).on('fileuploadprocessalways', function (e, data) {
        var file = data.files[data.index];
        if (data.files.error && file.error) {
            var msg = file.name+' - '+file.error
            $('#alert-upload').attr('class', 'alert alert-danger').html(msg)
        }
    }).prop('disabled', !$.support.fileInput).parent().addClass($.support.fileInput ? undefined : 'disabled');
});

$(document).on('click', '.removeDok', function(){
    var versi = $(this).attr('versi')
    var parent = $(this).parent()
    var source  = #{jsRoute @kontrak.SskkCtr.hapusSskkAttachment(sppbjId) /};
    $.ajax({
        type: 'POST',
        url: source.url(),
        data : {'versi': versi},
        success : function(){
			$('#alert-upload').attr('class', 'alert alert-success').html('File telah terhapus');
            parent.remove()
        },
        error : function(){
			$('#alert-upload').attr('class', 'alert alert-danger').html('File tidak bisa dihapus');
        }
    })
});
</script>